/services/websites/v1/pages/export
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
id |
string | Yes | Slug identifier of the page to export |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
export |
object | |
export.title |
string | |
export.url |
string | |
export.post_type |
string | |
export.structure_id |
string | |
export.layout_id |
string | |
export.meta_description |
string | |
export.canonical_url |
string | |
export.secured |
string | |
export.secured_password |
string | |
export.components |
object[] | |
export.components_secured |
object[] |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/websites/v1/pages/export" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"id": "string"
}'
fetch('https://api.wemasy.nl/api/services/websites/v1/pages/export', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"id": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/websites/v1/pages/export', {
"id": "string"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"id": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/websites/v1/pages/export", headers=headers, json=data)
print(r.json())
{
"error": false,
"export": {
"title": "string",
"url": "string",
"post_type": "string",
"structure_id": "string",
"layout_id": "string",
"meta_description": "string",
"canonical_url": "string",
"secured": "string",
"secured_password": "string",
"components": [],
"components_secured": []
}
}